Snapshot
All operations require authentication.
List instance snapshotsProduction
Returns the snapshots of the project.
Path parameters
Project ID
Query parameters
Filter by source instance ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current state of the snapshot
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ compute/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "canBeDeleted": true, "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "minDisk": 0, "minRam": 0, "name": "string", "osType": "BAREMETAL_LINUX", "size": 0, "status": "ACTIVE", "visibility": "COMMUNITY" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get an instance snapshotProduction
Returns the snapshot image, including its status and the instance it was created from.
Path parameters
Project ID
Snapshot ID
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current state of the snapshot
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ compute/ snapshot/ {snapshotId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "canBeDeleted": true, "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "minDisk": 0, "minRam": 0, "name": "string", "osType": "BAREMETAL_LINUX", "size": 0, "status": "ACTIVE", "visibility": "COMMUNITY" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create an instance snapshotProduction
Creates a snapshot image of the instance's current disk. Its id can be used as image.id to create a new instance from it.
Path parameters
Project ID
Request body (required)
Desired target specification for the snapshot to create
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current state of the snapshot
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ compute/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "canBeDeleted": true, "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "minDisk": 0, "minRam": 0, "name": "string", "osType": "BAREMETAL_LINUX", "size": 0, "status": "ACTIVE", "visibility": "COMMUNITY" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete an instance snapshotProduction
Deletes the snapshot image.
Path parameters
Project ID
Snapshot ID
Response
Computed hash representing the current target specification value
Creation date of the snapshot
Current state of the snapshot
Ongoing asynchronous tasks related to the snapshot
Unique identifier of the snapshot
Snapshot readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the snapshot
Last update date of the snapshot
Example uses projectId = string, snapshotId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ compute/ snapshot/ {snapshotId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "canBeDeleted": true, "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "minDisk": 0, "minRam": 0, "name": "string", "osType": "BAREMETAL_LINUX", "size": 0, "status": "ACTIVE", "visibility": "COMMUNITY" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "instance": { "id": "00000000-0000-0000-0000-000000000000" }, "location": { "availabilityZone": "string", "region": "string" }, "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}